<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
	<title th:text="#{userAdmin.ea.title}"></title>

	<object th:replace="fragments/global_includes :: global_includes" th:remove="tag">...</object>
</head>
<body class="nhs-bsa-pensions nhs-bsa">

<div th:replace="fragments/header :: header">...</div>

<main id="content" role="main">

	<div th:replace="fragments/phase_banner :: phase_banner">...</div>
	<div th:replace="fragments/service_header :: logout_only">...</div>

	<div class="grid-row">
		<div class="column-two-thirds">

			<form th:action="@{/create-ea/} + ${uuid}" method="post" class="form" novalidate="novalidate" id="create-multi-ea-admin-employer-form"  th:object="${employingAuthority}">

				<div class="error-summary" th:if="${#fields.hasAnyErrors()}" id="new-admin-employer-user-error-message" role="group" aria-labelledby="new-admin-employer-user-error-heading" tabindex="-1">
					<h1 id="admin-error-message-heading" class="heading-medium error-summary-heading">Some questions have not been answered correctly:</h1>
					<p th:text="#{errorSummary2}" id="error-message-text">Please see the errors below.</p>
					<ul class="error-summary-list">
						<li th:if="${#fields.hasErrors('eaCode')}"><a href="#employer-eaCode-label" th:errors="*{eaCode}"   id="new-admin-employer-user-list1">Descriptive link to the question with an error</a></li>
						<li th:if="${#fields.hasErrors('eaName')}"><a href="#employer-eaName-label" th:errors="*{eaName}"   id="new-admin-employer-user-list2">Descriptive link to the question with an error</a></li>
						<li th:if="${#fields.hasErrors('employerType')}"><a href="#employer-type-label"  th:errors="*{employerType}" id="new-admin-employer-user-list7">Descriptive link to the question with an error</a></li>
					</ul>
				</div>

				<div class="heading-group">
					<p th:text="#{serviceHeader}">Make payments to the NHS Pension Scheme</p>
					<h1 class="heading-large" id="main-heading" th:text="#{userAdmin.ea.heading}">Add Ea's to Admin User</h1>
					<h2 class="heading-medium"><p th:text="#{createAdminEmployer.Heading2}" th:remove="tag">Please fill in the form below for:  </p>
						<p class="heading-medium" th:text="${userMail}" th:remove="tag">user@mail.com</p>
					</h2>
				</div>


							<fieldset>
								<legend class="visuallyhidden">Employer Details</legend>

								<div class="form-group" th:if="${eas.size() > 0}">
							<p>List of Employing Authorities assigned to user</p>
							<table>
								<caption class="visually-hidden" th:text="#{userAdmin.ea.table.caption}">Ea's assigned to user</caption>
								<thead>
								<tr>
									<th scope="col" th:text="#{userAdmin.ea.eaCode}">Ea Code</th>
									<th scope="col" th:text="#{userAdmin.ea.eaName}">Ea Name</th>
									<th scope="col" th:text="#{userAdmin.ea.empType}">Employer Type</th>
								</tr>
								</thead>
								<tbody>
								<tr th:each="ea,iter : ${eas}" th:id="${'-row-'+iter.index}">
									<td scope="row" th:text="${ea.eaCode}">Code</td>
									<td th:text="${ea.name}">Name </td>
									<td th:text="${ea.employerType}">Employer Type </td>
								</tr>
								</tbody>
							</table>
								</div>
							</fieldset>



				<fieldset>
					<legend class="visuallyhidden">Employer Details</legend>
					<div class="form-group" th:classappend="${#fields.hasErrors('eaCode')} ? error : no-error">
						<label for="employer-eaCode" id="employer-eaCode-label">
							<span class="form-label-bold" th:text="#{userAdmin.ea.eaCode}">EA Code</span>
							<span th:if="${#fields.hasErrors('eaCode')}"  th:errors="*{eaCode}" class="error-message" id="error-message-employer-eaCode">Please enter a valid EA Code</span>
						</label>
						<input type="text" id="employer-eaCode" value="" name="employer-eaCode" class="form-control validate-text-input" required=""  th:field="*{eaCode}" th:classappend="${#fields.hasErrors('eaCode')} ? form-control-error" />
					</div>

					<div class="form-group" th:classappend="${#fields.hasErrors('eaName')} ? error : no-error">
						<label for="employer-eaName" id="employer-eaName-label">
							<span class="form-label-bold" th:text="#{userAdmin.ea.eaName}">EA Name</span>
							<span th:if="${#fields.hasErrors('eaName')}"  th:errors="*{eaName}" class="error-message" id="error-message-employer-eaName">Please enter a valid account name</span>
						</label>
						<input type="text" id="employer-eaName" value="" name="employer-eaName" class="form-control validate-text-input" required=""  th:field="*{eaName}" th:classappend="${#fields.hasErrors('eaName')} ? form-control-error" />
					</div>

				<div class="form-group" th:classappend="${#fields.hasErrors('employerType')} ? error : no-error" >
					<legend id="employer-type-label">
						<span class="form-label-bold" th:text="#{userAdmin.ea.empType}">Employer Type</span>
						<span th:if="${#fields.hasErrors('employerType')}" th:errors="*{employerType}" class="error-message" id="error-message-employer-type">Please select an employer type</span>
					</legend>

					<div class="form-group" th:classappend="${#fields.hasErrors('employerType')} ? error : no-error">
						<div class="inline">
							<legend class="visually-hidden">Employer Type</legend>
							<label class="block-label selection-button-radio" for="employer-type-staff" id="employer-type-staff-label">
								<input th:text="#{createAdminEmployer.Staff}" id="employer-type-staff" type="radio" name="radio-employer-type" th:field="*{employerType}"  value="STAFF">Staff</input>

							</label>
							<label class="block-label selection-button-radio" id="employer-type-gp-label" for="employer-type-gp">
								<input th:text="#{createAdminEmployer.GP}" id="employer-type-gp" type="radio" name="radio-employer-type"  th:field="*{employerType}" value="GP" required="" aria-required="true" class="validate-radio-input"  th:classappend="${#fields.hasErrors('employerType')} ? form-control-error : form-control" >GP</input>
							</label>
						</div>
					</div>
				</div>
				</fieldset>

				<div class="error-message" th:if="${eaExists}"><p  id="ea-exists-message" th:text="#{userAdmin.eaExists}" >This EA Code already exists</p></div>

				<div class="form-group" id="add-ea-submit-button">
					<button type="submit" class="button" th:text="#{createAdminEmployer.AddEmployer}" id="add-user-button">Add employer</button>
				</div>
				<div class="form-group" id="finish-submit-button" th:if="${eas.size() > 0}">
					<a class="button" th:href="@{/download-files}" th:text="#{button.finish}" id="finish-button">Finish</a>
				</div>
			</form>

		</div>
	</div>

</main>

<div th:replace="fragments/footer :: footer">...</div>
<div th:replace="fragments/scripts :: scripts" th:remove="tag">...</div>

</body>
</html>
